function [Ycore, Yothers, dcenter_core, dscale_core, dcenter_others, dscale_others] = ...
    standardize_data( Ycore, Yothers )

dcenter_core = mean( Ycore );
dscale_core = std( Ycore, 1 );
Ycore = bsxfun( @rdivide, bsxfun( @minus, Ycore, dcenter_core ), dscale_core );

dcenter_others = mean( Yothers );
dscale_others = std( Yothers, 1 );
Yothers = bsxfun( @rdivide, bsxfun( @minus, Yothers, dcenter_others ), dscale_others );
